| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
IOLink.LodImageView Class Reference

A view on an image with multiple levels of detail (LOD). More...

Inheritance diagram for IOLink.LodImageView:

## Public Member Functions
| LodImageView (global::System.IntPtr cPtr, bool cMemoryOwn)
virtual Vector2i64 | GetLevelRange ()
| Give the range of available levels of resolution Level 0 is always in the range. (because it corresponds to the original image) First value of returned vector is the level corresponding to the highest resolution (inferior or equal to 0) Second value of returned vector is the level corresponding to the lowest resolution (superior or equal to 0)
virtual ImageView | Resolution (long level)
| An ImageView of the n-th level of detail.
string | ToString ()
| Return a string representation.
Public Member Functions inherited from IOLink.View
| View (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()
T | Extension< T > ()
| Get an extension, with automatic upcasting.
virtual Extension | Extension (uint id)
| Get an extension of the view, corresponding to the given identifier.
ViewOriginExtension | ViewOrigin ()
| Shortcut to access to ViewOrigin extension.

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (LodImageView obj)
Static Public Member Functions inherited from IOLink.View
static global::System.Runtime.InteropServices.HandleRef | getCPtr (View obj)

## Protected Member Functions
override void | Dispose (bool disposing)

## Properties
Vector2i64 | LevelRange`[get]`
| The maximum and minimum level indices.

## Detailed Description

A view on an image with multiple levels of detail (LOD).

It is also usually called a pyramid of resolutions

- level 0 always gives the original resolution of the image
- image resolution at level N+1 is always lower than resolution at level N

## Member Function Documentation

## ◆ Dispose()

override void IOLink.LodImageView.Dispose | ( | bool | disposing | ) |
| inline protected virtual

Reimplemented from IOLink.View.

## ◆ GetLevelRange()

virtual Vector2i64 IOLink.LodImageView.GetLevelRange | ( |  | ) |
| inline virtual

Give the range of available levels of resolution Level 0 is always in the range. (because it corresponds to the original image) First value of returned vector is the level corresponding to the highest resolution (inferior or equal to 0) Second value of returned vector is the level corresponding to the lowest resolution (superior or equal to 0)

- a negative level (< 0) gives a higher resolution of the original image
- a positive (> 0) level gives a lower resolution of the original image
  Returns
    a vector of 2 values (high-res level, low-res level)

## ◆ Resolution()

virtual ImageView IOLink.LodImageView.Resolution | ( | long | level | ) |
| inline virtual

An ImageView of the n-th level of detail.

Parameters

  level | the level of detail

Returns
  ImageView corresponding to given level

Exceptions

  Error | if required level is not handled (out of range)

The documentation for this class was generated from the following file:

- Release/net/generated/LodImageView.cs